function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import * as echarts from "echarts/core";
import { ToolboxComponent, GridComponent } from "echarts/components";
import { LineChart } from "echarts/charts";
import { UniversalTransition } from "echarts/features";
import { CanvasRenderer } from "echarts/renderers";
import { line } from "@dft-vue-2-opentiny/vue-renderless/chart-line/index";
import { line as line2 } from "@dft-vue-2-opentiny/vue-renderless/chart-line/index";
import Core from "@dft-vue-2-opentiny/vue-chart-core";
import { defineComponent, $prefix } from "@dft-vue-2-opentiny/vue-common";
echarts.use([ToolboxComponent, GridComponent, LineChart, UniversalTransition, CanvasRenderer]);
var Line = defineComponent(_extends({}, Core, {
  name: $prefix + "ChartLine",
  data: function data() {
    this.chartHandler = line;
    return {};
  }
}));
var version = "2.8.0";
Line.install = function(Vue) {
  Vue.component(Line.name, Line);
};
Line.version = version;
export {
  Line as default,
  line2 as line
};
